%define major 5
%define libname %mklibname tiger %major
%define develname %mklibname -d tiger
%define staticname %mklibname -s -d tiger

Summary: Text rendering library for Kate streams
Name: libtiger
Version: 0.3.4
Release: %mkrel 9
Source0: http://libtiger.googlecode.com/files/%{name}-%{version}.tar.gz
Patch: libtiger-0.3.3-fix-linking.patch
Patch1: libtiger-0.3.4-automake-fix.patch
License: LGPLv2+
Group: System/Libraries
Url: http://code.google.com/p/libtiger/
BuildRequires: python-devel
BuildRequires: libkate-devel
BuildRequires: pango-devel
BuildRequires: doxygen

%description
libtiger is a rendering library for Kate streams using Pango and Cairo.

%package -n %libname
Group: System/Libraries
Summary: Text rendering library for Kate streams

%description -n %libname
libtiger is a rendering library for Kate streams using Pango and Cairo.

%package -n %develname
Group: Development/C
Summary: Text rendering library for Kate streams
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
libtiger is a rendering library for Kate streams using Pango and Cairo. 

%package -n %staticname
Group: Development/C
Summary: Text rendering library for Kate streams
Requires: %develname = %version-%release
Provides: %name-static-devel = %version-%release

%description -n %staticname
libtiger is a rendering library for Kate streams using Pango and Cairo.

%prep
%setup -q
%autopatch -p1
autoreconf -fi

%build
%configure2_5x
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la
mkdir -p installed-docs
mv %buildroot%_datadir/doc/%name/html installed-docs
rm -rf %buildroot%_datadir/doc

%files -n %libname
%doc README THANKS AUTHORS
%_libdir/libtiger.so.%{major}*

%files -n %develname
%doc ChangeLog installed-docs/*
%_libdir/libtiger.so
%_libdir/pkgconfig/tiger.pc
%_includedir/tiger

%files -n %staticname
%_libdir/libtiger.a


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.3.4-9.mga6
+ Revision: 941593
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.4-8.mga5
+ Revision: 744404
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.4-7.mga5
+ Revision: 681813
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.4-6.mga4
+ Revision: 507367
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.4-5.mga3
+ Revision: 358253
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 gw666 <gw666> 0.3.4-4.mga3
+ Revision: 329896
- fix build with new autotools

* Tue Mar 06 2012 alien <alien> 0.3.4-3.mga2
+ Revision: 220465
- rebuild for missing lib64tiger-devel package

* Sun Sep 18 2011 fwang <fwang> 0.3.4-2.mga2
+ Revision: 144854
- drop .la files

* Tue Jan 25 2011 ahmad <ahmad> 0.3.4-1.mga1
+ Revision: 39535
- imported package libtiger


* Wed Dec 29 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2011.0
+ Revision: 626010
- update to new version 0.3.4

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.3-2mdv2011.0
+ Revision: 609784
- rebuild

* Thu Jan 07 2010 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2010.1
+ Revision: 487045
- import libtiger


